% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/process_sinan_malaria.R
\name{process_sinan_malaria}
\alias{process_sinan_malaria}
\title{Process SINAN Malaria variables from DataSUS}
\usage{
process_sinan_malaria(data, municipality_data = TRUE)
}
\arguments{
\item{data}{\code{data.frame} created by \code{fetch_datasus()}.}

\item{municipality_data}{optional logical. \code{TRUE} by default, creates new variables in the dataset informing the full name and other details about the municipality of residence.}
}
\value{
a \code{data.frame} with the processed data.
}
\description{
\code{process_sinan_malaria} processes SINAN Malaria variables retrieved by \code{fetch_datasus()}.
}
\details{
This function processes SINAN Malaria variables retrieved by \code{fetch_datasus()}, informing labels for categoric variables including NA values.
}
\examples{
process_sinan_malaria(sinan_malaria_sample)

}
